<?php

include('../../path.php');

require_once(ROOT_CONFIG);



    class categoria_cartera_contrasenas

    {

        public function insert_categoria_cartera_contrasenas($Categoria, $Descripcion, $Registro, $Fecha_Registro, $Modifico, $Fecha_Modificacion, $Estatus)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="INSERT INTO categoria_cartera_contrasenas(Categoria, Descripcion) VALUES ('$Categoria', '$Descripcion') ";

            $conexion->query($consulta);

            $whatsmyid=$conexion->insert_id;

            $conexion->close();

            $_Tabla='categoria_cartera_contrasenas';

            $_Evento_Log='registrar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $whatsmyid;

        }



        public function get_categoria_cartera_contrasenas($_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                //$consulta="SELECT *,  count(*) as numregis FROM categoria_cartera_contrasenas WHERE $_Clausula_Fk=$_IdFk ORDER BY Id_Categoria DESC";

                $consulta="SELECT count(*) as numregis FROM categoria_cartera_contrasenas WHERE $_Clausula_Fk=$_IdFk";

            }else{

                //$consulta="SELECT *,  count(*) as numregis FROM categoria_cartera_contrasenas ORDER BY Id_Categoria DESC";

                $consulta="SELECT count(*) as numregis FROM categoria_cartera_contrasenas";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function get_categoria_cartera_contrasenaspg($inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM categoria_cartera_contrasenas WHERE $_Clausula_Fk=$_IdFk ORDER BY Id_Categoria DESC";

            }else{

                $consulta="SELECT * FROM categoria_cartera_contrasenas ORDER BY Id_Categoria DESC";

            }

            

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function update_categoria_cartera_contrasenas($Id_Categoria, $Categoria, $Descripcion, $Registro, $Fecha_Registro, $Modifico, $Fecha_Modificacion, $Estatus)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE categoria_cartera_contrasenas SET Id_Categoria='$Id_Categoria', Categoria='$Categoria', Descripcion='$Descripcion' WHERE Id_Categoria = '$Id_Categoria'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='categoria_cartera_contrasenas';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;

        }



        public function delete_categoria_cartera_contrasenas($Id_Categoria)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="DELETE FROM categoria_cartera_contrasenas WHERE Id_Categoria='$Id_Categoria'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='categoria_cartera_contrasenas';

            $_Evento_Log='eliminar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;

        }



        //Funciones adicionales.

        public function getorderby_categoria_cartera_contrasenas($Nombre,$Orderby,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                //$consulta="SELECT *,  count(*) as numregis FROM categoria_cartera_contrasenas WHERE $_Clausula_Fk=$_IdFk ORDER BY $Nombre $Orderby";

                $consulta="SELECT count(*) as numregis FROM categoria_cartera_contrasenas WHERE $_Clausula_Fk=$_IdFk";

            }else{

                //$consulta="SELECT *,  count(*) as numregis FROM categoria_cartera_contrasenas ORDER BY $Nombre $Orderby";

                $consulta="SELECT count(*) as numregis FROM categoria_cartera_contrasenas";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function getorderby_categoria_cartera_contrasenaspg($Nombre,$Orderby,$inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM categoria_cartera_contrasenas WHERE $_Clausula_Fk=$_IdFk ORDER BY $Nombre $Orderby";

            }else{

                $consulta="SELECT * FROM categoria_cartera_contrasenas ORDER BY $Nombre $Orderby";

            }

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function getbyid_categoria_cartera_contrasenas($Id_Categoria)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM categoria_cartera_contrasenas WHERE Id_Categoria='$Id_Categoria'";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function get_categoria_cartera_contrasenas_paginador_frm()

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM categoria_cartera_contrasenas";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function search_categoria_cartera_contrasenas($Buscar,$_Clausula_Fk,$_IdFk)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT *, count(*) as numregis FROM categoria_cartera_contrasenas WHERE $_Clausula_Fk=$_IdFk AND (Id_Categoria LIKE '%$Buscar%' || Categoria LIKE '%$Buscar%' || Descripcion LIKE '%$Buscar%' || Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Modifico LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Estatus LIKE '%$Buscar%') ORDER BY Id_Categoria DESC";

                $consulta="SELECT count(*) as numregis FROM categoria_cartera_contrasenas WHERE $_Clausula_Fk=$_IdFk AND (Id_Categoria LIKE '%$Buscar%' || Categoria LIKE '%$Buscar%' || Descripcion LIKE '%$Buscar%' || Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Modifico LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Estatus LIKE '%$Buscar%')";

            }else{

                //$consulta="SELECT *, count(*) as numregis FROM categoria_cartera_contrasenas WHERE Id_Categoria LIKE '%$Buscar%' || Categoria LIKE '%$Buscar%' || Descripcion LIKE '%$Buscar%' || Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Modifico LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Estatus LIKE '%$Buscar%' ORDER BY Id_Categoria DESC";

                $consulta="SELECT count(*) as numregis FROM categoria_cartera_contrasenas WHERE Id_Categoria LIKE '%$Buscar%' || Categoria LIKE '%$Buscar%' || Descripcion LIKE '%$Buscar%' || Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Modifico LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Estatus LIKE '%$Buscar%'";  

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            $_Tabla='categoria_cartera_contrasenas';

            $_Evento_Log='busco:'.$Buscar;

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_consultas($_Tabla,$_Evento_Log,$_Consulta);

            return $Array_adapter;

        }



        public function search_categoria_cartera_contrasenaspg($Buscar,$inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM categoria_cartera_contrasenas WHERE $_Clausula_Fk=$_IdFk AND (Id_Categoria LIKE '%$Buscar%' || Categoria LIKE '%$Buscar%' || Descripcion LIKE '%$Buscar%' || Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Modifico LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Estatus LIKE '%$Buscar%') ORDER BY Id_Categoria DESC";

            }else{

                $consulta="SELECT * FROM categoria_cartera_contrasenas WHERE Id_Categoria LIKE '%$Buscar%' || Categoria LIKE '%$Buscar%' || Descripcion LIKE '%$Buscar%' || Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Modifico LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Estatus LIKE '%$Buscar%' ORDER BY Id_Categoria DESC";

            }

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function searchbyparameter_categoria_cartera_contrasenas($Parametro,$Buscar)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM categoria_cartera_contrasenas WHERE $Parametro LIKE '%$Buscar%' ORDER BY Id_Categoria DESC";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }

  

        public function execute_categoria_cartera_contrasenas($query)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $Array_adapter=$conexion->query($query);

            $conexion->close();

            return $Array_adapter;

        }



        public function update_field_categoria_cartera_contrasenas($Field,$Value,$Id_Categoria)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Valueinto=strtoupper($Value);

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE categoria_cartera_contrasenas SET $Field='$Valueinto' WHERE Id_Categoria= '$Id_Categoria'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='categoria_cartera_contrasenas';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;                          

        }



        public function update_field_front_categoria_cartera_contrasenas($Field,$Value,$Id_Categoria)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE categoria_cartera_contrasenas SET $Field='$Value' WHERE Id_Categoria= '$Id_Categoria'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='categoria_cartera_contrasenas';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;                          

        }



}



?>